@if (issuesService.state$ | async; as issueUIModel) {
  @switch (getCurrentDisplayMode(issueUIModel)) {
    @case (DisplayMode.LOADING) {
      <ng-container *ngTemplateOutlet="loading"> </ng-container>
    }
    @case (DisplayMode.ACTIVATION_REQUIRED) {
      <div class="div-position">
        <label class="label-position">
          {{ 'sqtm-core.entity.bugtracker.activation-required' | translate }}
        </label>
        <button
          class="btn-position"
          nz-button
          nzType="primary"
          [attr.data-test-button-id]="'activate'"
          (click)="activateBugTracker()"
        >
          {{ 'sqtm-core.entity.bugtracker.activate' | translate }}
        </button>
      </div>
    }
    @case (DisplayMode.HAS_ERROR) {
      <div [ngClass]="bugtrackerErrorStyle">
        <span class="bugtracker-error-message m-r-5">{{
          'sqtm-core.entity.bugtracker.unavailable' | translate
        }}</span>
        <span
          class="bugtracker-error-detail"
          (click)="showError(issueUIModel.error)"
          >({{ 'sqtm-core.generic.label.detail.plural' | translate }})</span
        >
        @if (warnAboutMissingExecutionStepDetails) {
          <div class="bugtracker-error-missing-step-detail-message m-t-6">
            {{
              'sqtm-core.entity.bugtracker.unavailable-step-details' | translate
            }}
          </div>
        }
      </div>
    }
    @case (DisplayMode.AUTHENTICATION_REQUIRED) {
      <sqtm-core-issues-connect
        [bugTracker]="bugTracker"
        (connectSuccess)="handleConnectSuccess()"
      >
      </sqtm-core-issues-connect>
    }
    @case (DisplayMode.LOADED) {
      <ng-content></ng-content>
    }
  }
} @else {
  <sqtm-core-full-page-loading-icon> </sqtm-core-full-page-loading-icon>
}

<ng-template #loading>
  <sqtm-core-full-page-loading-icon> </sqtm-core-full-page-loading-icon>
</ng-template>
